SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001310SiT!i18npublic2010-04-30 10:512010-07-15 21:32
Reporterjko 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionXP+Later
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001310: not working fallback in AJAX-contexthelp
DescriptionThere is a bug in the ajax context help which renders the context help useless if no fitting translation was found.

ajaxdata.php:

old:
if (!file_exists($helpfile)) $helpfile = APPLICATION_HELPPATH . "{$_SESSION['lang']}". DIRECTORY_SEPARATOR. "en-GB/{$context}.txt";

fixed:
if (!file_exists($helpfile)) $helpfile = APPLICATION_HELPPATH . "en-GB/{$context}.txt";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003124)
paulh (administrator)
2010-05-02 10:48

Can repro
User avatar (0003125)
paulh (administrator)
2010-05-02 11:02

r6465 and bfd8621 resolve this, thank jko

Added this in 3.61 as its a relatively simple bug fix which won't impact other areas

- Issue History
Date Modified Username Field Change
2010-04-30 10:51 jko New Issue
2010-05-02 10:48 paulh Note Added: 0003124
2010-05-02 10:48 paulh Assigned To => paulh
2010-05-02 10:48 paulh Status new => confirmed
2010-05-02 11:02 paulh Note Added: 0003125
2010-05-02 11:02 paulh Status confirmed => resolved
2010-05-02 11:02 paulh Resolution open => fixed
2010-05-02 11:02 paulh Target Version => 3.61 LTS
2010-07-15 21:32 ivan Status resolved => closed
2010-07-15 21:32 ivan Fixed in Version => 3.61 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker